<template>
  <div class="mt-3 scroll">
    <Category v-for="item in $store.state.cate" :key="item.id" :data="item" />
    <div
      class="mx-3 add-card py-2"
      style="display: inline-block; width: 270px; text-align: center"
    >
      <center>
        <b-input
          class="w-90 mb-1"
          v-model="category"
          style="align-self: center; display: block m-auto"
        ></b-input>
      </center>
      <b-button class="w-90" @click="addCate">Add New Category</b-button>
    </div>
  </div>
</template>

<script>
// @ is an alias to /src
import Category from "@/components/Category.vue";
import axios from "axios";
export default {
  name: "Home",
  components: {
    Category,
  },

  data() {
    return {
      items: this.$store.state.cate,
      cate: "",
      show: false,
      category: "",
    };
  },

  methods: {
    addCate() {
      const data = {
        project_id: this.$store.state.cate[0].project_id,
        category: this.category,
      };
      axios
        .post("http://127.0.0.1:8000/api/cate", data, {
          headers: {
            Authorization: `Bearer ${this.$store.state.token}`,
            "content-type": "application/json",
          },
        })
        .then(({ data }) => {
          this.$store.commit("pushCategory", data);
          this.category = "";
          // this.$store.commit("addcard", { data });
          // this.$store.commit("addActive", "");
          // this.test = "";
        });
    },
  },
  mounted() {
    this.$store.dispatch("getcate");
    console.log("hello");
  },
};
</script>

<style scoped>
.f-right {
  float: right;
}

.add-card {
  background-color: rgba(230, 235, 240, 0.9);
}

.scroll {
  /* overflow-y: auto; */
  overflow: scroll;
  white-space: nowrap;
  width: 100%;
  /* height: 1vh; */
}
.w-90 {
  width: 90%;
}
</style>
